WPBakery does not work with WordPress 5.5 (solution)

If you are using WPBakery Page Builder you may experience problems moving to WordPress 5.5.

In fact, it could happen that some elements of both the frontend and the backend are not displayed correctly, or even not displayed at all.

Often not even an update to the latest version of the plugin solves the situation, so if your WPBakery does not work with WordPress 5.5 you should look for an alternative remedy that allows your site to continue working correctly.

Obviously it is not possible here to pre-define that the solution proposed below is decisive, but often it is able to fix this unpleasant situation.

The whole thing consists in the simple installation of Enable jQuery Migrate Helper, a plugin that temporarily solves a compatibility problem that often is the cause of the issue.

As we read on the plug-in page…

With the update to WordPress 5.5, a tool called jquery-migrate will no longer be enabled by default. This could lead to unexpected behavior in some themes or plug-ins.
This plugin acts as a workaround, allowing the migration script for your site to give the plugin and theme authors a little more time to update and test their code.

This is essentially the classic patch that restores a feature that WordPress 5.5 keeps off by default, making it active again.

However, it is expected that the authors of themes and plug-ins will solve the problem in a short time taking into account the new default setting, thus allowing us to disable Enable jQuery Migrate Helper which at that point will no longer be necessary.

Latest posts by Paolo Sartorio (see all)

This post is also available in: Italian

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published.